Name:		rteval-loads
Version:	1.4
Release:	11%{?dist}
Summary:	Source files for rteval loads
Group:		Development/Tools
License:	GPLv2
URL:		https://git.kernel.org/pub/scm/utils/rteval/rteval.git
Source0:	https://www.kernel.org/pub/linux/kernel/v5.x/linux-5.7.tar.xz

%package -n stress-ng
Version:	0.11.10
Release:	4%{?dist}
Summary:	Stress test a computer system in various ways
Source1:	https://kernel.ubuntu.com/~cking/tarballs/stress-ng/stress-ng-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	gcc binutils make kernel-headers
#BuildArch:	noarch
BuildRequires:	gcc
BuildRequires:	glibc-devel
BuildRequires:	kernel-headers
BuildRequires:	keyutils-libs-devel
BuildRequires:	libaio-devel
BuildRequires:	libattr-devel
BuildRequires:	libcap-devel
BuildRequires:	lksctp-tools-devel
BuildRequires:	zlib-devel

ExcludeArch:	ppc64
ExcludeArch:	ppc64le
# The following architecture is excluded because stress-ng is alreadz
# available there
ExcludeArch:	aarch64

#Patches
Patch1: 0001-stress-hdd-use-preadv-preadv2-pwritev-pwritev2.patch
Patch2: 0002-syscalls-update-preadv-preadv2-and-pwritev-entries.patch
Patch3: 0003-stress-sock-add-a-few-more-ioctls-to-exercise.patch
Patch4: 0004-stress-sem-sysv-exercise-some-invalid-options-to-get.patch
Patch5: 0005-stress-shm-sysv-exercise-NUMA-mempolicy-on-shm.patch
Patch6: 0006-stress-shm-sysv-exercise-shmctl-and-shmdt-race-on-ch.patch
Patch7: 0007-stress-mq-add-SIGEV_SIGNAL-events-to-exercise-kernel.patch
Patch8: 0008-stress-ng-add-checksum-sanity-check-on-bogo-ops-stat.patch
Patch9: 0009-stress-dev-remove-sleep-and-return-EXIT_SUCCESS-on-c.patch
Patch10: 0010-core-shim-rework-waitpid-again-terminate-child-on-EI.patch
Patch11: 0011-Add-memory-barriers-an-ready-flag-to-check-if-counte.patch
Patch12: 0012-stress-dev-add-block-device-lseeks-and-force-return-.patch
Patch13: 0013-core-shim-add-delay-before-re-waiting.patch
Patch14: 0014-core-out-of-memory-return-EXIT_NO_RESOUCE-on-oomable.patch
Patch15: 0015-stress-get-fix-ifdef-check-on-getpagesize.patch
Patch16: 0016-core-out-of-memory-return-EXIT_SUCCESS-on-oomable-op.patch
Patch17: 0017-core-ftrace-remove-setting-of-set_event_pid-and-refa.patch
Patch18: 0018-core-ftrace-fix-removed-filename-setting-statement.patch
Patch19: 0019-stress-vm-fix-bit-error-checking-when-bogo-ops-limit.patch
Patch20: 0020-Fix-seq-mode-checksum-with-multiple-stressors-and-sa.patch
Patch21: 0021-kernel-coverage.sh-move-the-quick-spin-through-stres.patch
Patch22: 0022-shim_waitpid-allow-a-few-retries-before-throttling-r.patch
Patch23: 0023-stress-dev-voidify-pthread_join-return-we-don-t-care.patch
Patch24: 0024-stress-inode-flags-voidify-pthread_join-return-we-do.patch
Patch25: 0025-stress-madvise-voidify-pthread_join-return-we-don-t-.patch
Patch26: 0026-stress-memthrash-silently-ignore-ESRCH-pthread_join-.patch
Patch27: 0027-stress-ng-README-update-libsctp-name-for-RHEL-fedora.patch
Patch28: 0028-stress-ng-fix-long-form-if-x-option-use-exclude-inst.patch

%description
This package provides source code for system loads used by the rteval package

%description -n stress-ng
Stress test a computer system in various ways. It was designed to exercise
various physical subsystems of a computer as well as the various operating
system kernel interfaces.

%prep
%setup -q -b1 -n stress-ng-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1

%build -n stress-ng
export CFLAGS="%{optflags}"
export LDFLAGS="%{__global_ldflags}"
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/share/rteval/loadsource
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/usr/share/rteval/loadsource
mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/stress-ng/example-jobs
mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/bash-completion/completions
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%dir %{_datadir}/rteval/loadsource
%{_datadir}/rteval/loadsource/*
%doc

%files -n stress-ng
%{_bindir}/stress-ng
%{_datadir}/bash-completion/completions/stress-ng
%{_mandir}/man1/stress-ng.1.gz
%{_datadir}/stress-ng/example-jobs/*.job

%changelog
* Fri Jan 08 2021 John Kacur <jkacur@redhat.com> / 1.4-11
- Update the URL source to the correct current location.
Resolves: rhbz#1914420

* Thu Jul 23 2020 John Kacur <jkacur@redhat.com> - 1.4-10
- Rebuild bumping up both packages release number to avoid
- brew clashes
Resolves: rhbz#1859763

* Thu Jul 23 2020 John Kacur <jkacur@redhat.com> - 1.4-9
- Rebuild excluding aarch64 since stress-ng already exists there
Resolves: rhbz#1859763

* Thu Jul 23 2020 John Kacur <jkacur@redhat.com> - 1.4-8
- Upgrade to kernel linux-5.7
- Removing old "Obsoletes" from spec file
Resolves: rhbz#1859763

* Fri May 22 2020 John Kacur <jkacur@redhat.com> - 1.4-7
- Add stress-ng as a subpackage
Resolves: rhbz#1816357

* Thu Nov 21 2019 John Kacur <jkacur@redhat.com> - 1.4-6
- Update the gating test run_tests.sh for the kernel linux-5.1
Resolves: rhbz#1775202

* Fri Nov 08 2019 John Kacur <jkacur@redhat.com> - 1.4-5
- Upgrade to using kernel linux-5.1
Resolves: rhbz#1724827

* Mon Apr 01 2019 Clark Williams <williams@redhat.com> - 1.4-4
- OSCI gating framework
Resolves: rhbz#1682425

* Tue Jun 12 2018 John Kacur <jkacur@redhat.com> - 1.4-3
- Trigger a rebuild for rhel-8.0

* Thu Oct 19 2017 John Kacur <jkacur@redhat.com> - 1.4-2
- updated the url of the linux kernel in this spec file
Resolves: rhbz1504141

* Tue Jan 10 2017 Clark Williams <williams@redhat.com> - 1.4-1
- updated kernel tarball to 4.9 [1432625]

* Fri Jun  5 2015 Clark Williams <williams@redhat.com> - 1.3-3
- add requires for kernel-header package [1228740]

* Mon Nov 10 2014 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 1.3-2
-  rebuild for RHEL-7.1 (1151569)

* Fri May 20 2011 Clark Williams <williams@redhat.com> - 1.3-1
- updated kernel tarball to 2.6.39

* Mon Feb  7 2011 Clark Williams <williams@redhat.com> - 1.2-3
- initial build for MRG 2.0 (RHEL6)

* Thu Jul 15 2010 Clark Williams <williams@redhat.com> - 1.2-2
- removed rteval require from specfile (caused circular dependency)

* Thu Jul  8 2010 Clark Williams <williams@redhat.com> - 1.2-1
- removed hackbench tarball (now using rt-tests hackbench)

* Fri Feb 19 2010 Clark Williams <williams@redhat.com> - 1.1-1
- updated hackbench source with fixes from David Sommerseth
  <davids@redhat.com> to cleanup child processes

* Thu Nov  5 2009 Clark Williams <williams@redhat.com> - 1.0-1
- initial packaging effort
